Get Business
Get Business
GET
/
businesses
/
{businessId}
Get Business
curl --request GET \
--url https://services.leadconnectorhq.com/businesses/{businessId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/businesses/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/businesses/{businessId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"business": {
"id": "63771dcac1116f0e21de8e12",
"name": "Microsoft",
"locationId": "<string>",
"phone": "<string>",
"email": "abc@microsoft.com",
"website": "microsoft.com",
"address": "<string>",
"city": "<string>",
"description": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "united states",
"updatedBy": {},
"createdBy": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
⌘I
Get Business
curl --request GET \
--url https://services.leadconnectorhq.com/businesses/{businessId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/businesses/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/businesses/{businessId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"business": {
"id": "63771dcac1116f0e21de8e12",
"name": "Microsoft",
"locationId": "<string>",
"phone": "<string>",
"email": "abc@microsoft.com",
"website": "microsoft.com",
"address": "<string>",
"city": "<string>",
"description": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "united states",
"updatedBy": {},
"createdBy": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}